GET

/api/v1/bots/grid/:id/market_orders

Permission: BOTS_READSecurity: SIGNED

Returns a comprehensive list of market orders for a specific Grid Bot entity using its ID, including active grid line orders and executed balancing orders.

Path Parameters

idinteger required

Unique Quentrade ID for this Grid Bot entity. Example: 2338357

Query Parameters

2
limitinteger

Quantity of records you want to get in response. Min: 1, Max: 1000, Default: 100

offsetinteger

Used to specify the starting point for a set of records to return in a paginated list. Default: 0

Response Parameters

2
grid_lines_ordersarray[object]

An array of grid line orders associated with this trading bot strategy.

order_idinteger

Unique identifier of the Trade entity.

order_typestring

The side of the order: BUY or SELL.

status_stringstring

Current status for this trade (e.g. Inactive, Active, Filled, Cancelled).

created_atstring

ISO 8601 datetime string of when this trade entity was created.

updated_atstring

ISO 8601 datetime string of when this trade entity was last updated.

quantitystring

The total amount of the asset involved in the order.

quantity_remainingstring

The amount of the asset that remains unfulfilled from the total order quantity.

totalstring

The total value of the order based on the executed quantity and rate.

ratestring

The rate at which the asset was bought or sold for this order.

average_pricestring

Weighted average price of the asset during trade execution.

balancing_ordersarray[object]

An array of balancing market orders created to calibrate base/quote initial ratio.

order_idinteger

Unique identifier of the balancing Trade entity.

order_typestring

The side of the order: BUY or SELL.

status_stringstring

Current status for this balancing trade.

created_atstring

ISO 8601 datetime string of when this trade was created.

updated_atstring

ISO 8601 datetime string of when this trade was last updated.

quantitystring

The total amount of asset involved in the balancing order.

quantity_remainingstring

The unfulfilled quantity remaining.

totalstring

Total value of the balancing order.

ratestring

Rate of the balancing order.

average_pricestring

Weighted average price of the balancing order execution.

Example Request

GETGET /api/v1/bots/grid/2338357/market_orders

Example Responses

If successful, returns HTTP 200 with both grid_lines_orders and balancing_orders arrays.

get_market_orders_of_grid_bot_200.json
200 OK
{
  "grid_lines_orders": [
    {
      "order_id": 1060886383,
      "order_type": "BUY",
      "status_string": "Inactive",
      "created_at": "2024-10-03T19:53:50.598Z",
      "updated_at": "2024-10-03T19:53:51.202Z",
      "quantity": "1227.0",
      "quantity_remaining": "1227.0",
      "total": "0.0",
      "rate": "0.016287",
      "average_price": "0.0"
    },
    {
      "order_id": 1060886382,
      "order_type": "BUY",
      "status_string": "Inactive",
      "created_at": "2024-10-03T19:53:50.505Z",
      "updated_at": "2024-10-03T19:53:51.111Z",
      "quantity": "1223.0",
      "quantity_remaining": "1223.0",
      "total": "0.0",
      "rate": "0.016352",
      "average_price": "0.0"
    }
  ],
  "balancing_orders": [
    {
      "order_id": 1060886271,
      "order_type": "BUY",
      "status_string": "Filled",
      "created_at": "2024-10-03T19:53:39.784Z",
      "updated_at": "2024-10-03T19:53:41.227Z",
      "quantity": "4495.0",
      "quantity_remaining": "0.0",
      "total": "98.77216807",
      "rate": "0.021973786",
      "average_price": "0.021973786"
    }
  ]
}